<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.i18n.i18n&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="module">Module k.i.i18n</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.i18n.html">i18n</a></span>
      
      
    </p>
    <div>
      
    </div>
    <div>Internationalization utilities. Requires intltool and gettext
<table class="fieldTable"></table></div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id5">
  
  
  
  
  <tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.i18n.i18n.html#check_directory">check_directory</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.i18n.i18n.html#check_pot_file">check_pot_file</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.i18n.i18n.html#get_translatable_files">get_translatable_files</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.i18n.i18n.html#list_languages">list_languages</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.i18n.i18n.html#update_po">update_po</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.i18n.i18n.html#_clean_rml">_clean_rml</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.i18n.i18n.html#_extract_rml_files">_extract_rml_files</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.i18n.i18n.html#compile_po_files">compile_po_files</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.i18n.i18n.html#main">main</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.i18n.i18n.check_directory"></a>
        <a name="check_directory"></a>
        <div class="functionHeader">
        
        def check_directory(root):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.i18n.i18n.check_pot_file"></a>
        <a name="check_pot_file"></a>
        <div class="functionHeader">
        
        def check_pot_file(root, package):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.i18n.i18n.get_translatable_files"></a>
        <a name="get_translatable_files"></a>
        <div class="functionHeader">
        
        def get_translatable_files(root):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.i18n.i18n.list_languages"></a>
        <a name="list_languages"></a>
        <div class="functionHeader">
        
        def list_languages(root):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.i18n.i18n.update_po"></a>
        <a name="update_po"></a>
        <div class="functionHeader">
        
        def update_po(root, package):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.i18n.i18n._clean_rml"></a>
        <a name="_clean_rml"></a>
        <div class="functionHeader">
        
        def _clean_rml(data):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.i18n.i18n._extract_rml_files"></a>
        <a name="_extract_rml_files"></a>
        <div class="functionHeader">
        
        def _extract_rml_files(root):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.i18n.i18n.compile_po_files"></a>
        <a name="compile_po_files"></a>
        <div class="functionHeader">
        
        def compile_po_files(root, package):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.i18n.i18n.main"></a>
        <a name="main"></a>
        <div class="functionHeader">
        
        def main(args):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>